# $Revision: 1.11 $, $Date: 2004/05/07 01:09:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	GOST
Summary:	Crypt::GOST Perl module - the GOST encryption algorithm
Summary(pl):	Modu Perla Crypt::GOST - algorytm kodowania GOST
Name:		perl-Crypt-GOST
Version:	1.00
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0250fb0539db739baf6608318894d67d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements GOST encryption. It supports the Crypt::CBC
interface. GOST 28147-89 is a 64-bit symmetric block cipher with a
256-bit key developed in the former Soviet Union. Some information on
it is available at http://vipul.net/gost/.

%description -l pl
Ten modu jest implementacj kodowania GOST. Obsuguje interfejs
Crypt::CBC. GOST 28147-89 jest 64-bitowym symetrycznym szyfrem
blokowym z 256-bitowym kluczem. Zosta opracowany w byym Zwizku
Radzieckim. Wicej informacji na stronie http://vipul.net/gost/.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/GOST.pm
%dir %{perl_vendorarch}/auto/Crypt/GOST
%{perl_vendorarch}/auto/Crypt/GOST/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/GOST/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-GOST.spec,v $
Revision 1.11  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:23  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:01:47  ankry
- tests added, cosmetics

Revision 1.8  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.7  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:49  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/29 22:33:53  qboosh
- new

